Bug 135187 - Update Source0's URL at traceroute's spec file + minor changes
Summary: Update Source0's URL at traceroute's spec file + minor changes
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: traceroute   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-09 22:47 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 07:57:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2004-10-09 22:47:58 UTC
Description of problem:
Source0's complete URL at traceroute's spec file should be used and 
some other changes like using "-f" to avoid possible rebuilding 
problems and a bit macrofying...

Version-Release number of selected component (if applicable):
traceroute-1.4a12-23

Actual results / Expected results:
--- snipp ---
--- traceroute.spec       2004-06-15 16:40:22.000000000 +0200
+++ traceroute.spec.rsc   2004-10-10 00:48:06.000000000 +0200
@@ -4,7 +4,7 @@
 Release: 23
 License: BSD
 Group: Applications/Internet
-Source: traceroute-1.4a12.tar.bz2
+Source: ftp://ftp.ee.lbl.gov/%{name}-%{version}.tar.gz
 Patch0: traceroute-1.4a5-fix.patch
 Patch1: traceroute-1.4a5-secfix.patch
 Patch2: traceroute-1.4a5-alpha.patch
@@ -24,7 +24,6 @@
 Patch16: traceroute-1.4a12-mpls-icmp-02.patch
 Patch17: traceroute-1.4a12-pie.patch
 URL: ftp://ftp.ee.lbl.gov/
-Prefix: %{_prefix}
 BuildRoot: %{_tmppath}/%{name}-root

 %description
@@ -61,7 +60,7 @@

 %build
 rm -f config.sub
-cp /usr/share/libtool/config.sub .
+cp -f %{_datadir}/libtool/config.sub .
 %ifarch s390 s390x
 export CFLAGS="$RPM_OPT_FLAGS -fPIC"
 %else
@@ -79,7 +78,7 @@

 make DESTDIR=${RPM_BUILD_ROOT} install install-man

-ln -s /bin/traceroute ${RPM_BUILD_ROOT}%{_sbindir}
+ln -sf /bin/traceroute ${RPM_BUILD_ROOT}%{_sbindir}

 # remove sugid apps to get proper debuginfo
 chmod 755 ${RPM_BUILD_ROOT}/bin/*
--- snapp ---

Comment 1 Robert Scheck 2004-10-09 22:50:25 UTC
*arghl* sorry, I did one mistake at the first section, please skip
"@@ -4,7 +4,7 @@" completely...thank you.

Comment 2 Radek Vokal 2004-10-11 07:57:25 UTC
Thanks, will appear in rawhide


Note You need to log in before you can comment on or make changes to this bug.